Bug Tracker – Bug 1303

Movement Not Recognized Properly on Spawn

Last modified: 2020-04-12 16:23:21 UTC
Bug 1303 - Movement Not Recognized Properly on Spawn
Summary: Movement Not Recognized Properly on Spawn
Status: NEW
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: 0.8.x
Hardware: x86 (Windows, Linux, etc) Windows 2000/XP/Vista/7
: P5 major
Assignee: Odamex Bug Reporter
URL:
: 1282 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-03-23 01:24 UTC by DevastatioN
Modified: 2020-04-12 16:23 UTC (History)
2 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description DevastatioN 2020-03-23 01:24:46 UTC
During a game, if I spawn while holding down buttons (say, move forward and strafe left), sometimes it just doesn't recognize the input.  So I'll juggle around instead of moving.  It seems like maybe forward is not being processed, but strafing in a direction is.

A demo of this occurring can be found here:

http://www.devastation.ca/random/Odamex_CTF_20200322_220255_wdl2018.wad_MAP20_WonkySpawns.odd
Comment 1 DevastatioN 2020-03-23 12:06:48 UTC
So I got some timestamps of when this occurred in the demo.  I have my timer counting down, and the times noted are what time is left on the clock:

8:39
6:51
6:13
5:48
2:30

The one at 6:13 I believe is the most prevalent one, where I am holding down move forward and strafe right, and end up just strafing right for a few seconds and not moving forward at all.
Comment 2 Dr. Sean 2020-03-30 01:44:35 UTC
A fix for this was committed here: https://github.com/odamex/odamex/commit/61c3a65bfe736ae8bb1cd239c944379d65e3af4a

Reproducing the issue:
If the following config is applied and the W and R keys are pressed and held at the same time, when the R key is released, the player should strafe to the right. However, in Odamex 0.8.1, the player spins when the R key is released.

alias +sr50r "+strafe; +right"
alias -sr50r "-strafe; -right"
alias +sr50l "+strafe; +left"
alias -sr50l "-strafe; -left"
bind w +sr50r
bind r +sr50l
Comment 3 Dr. Sean 2020-04-12 16:23:21 UTC
*** Bug 1282 has been marked as a duplicate of this bug. ***